com.io7m.jtensors.storage.api.parameterized.vectors

## Interface PVectorStorageFloating4Type<T>

- Type Parameters:
    `T` - A phantom type parameter
  All Superinterfaces:
    PVectorReadable2DType<T>, PVectorReadable3DType<T>, PVectorReadable4DType<T>, PVectorStorageFloating2Type<T>, PVectorStorageFloating3Type<T>, VectorReadable2DType, VectorReadable3DType, VectorReadable4DType, VectorStorageFloating2Type, VectorStorageFloating3Type, VectorStorageFloating4Type, VectorStorageType
  All Known Subinterfaces:
    PVectorByteBufferedFloating4Type<T>
  All Known Implementing Classes:
    PVectorByteBufferedFloating4s16, PVectorByteBufferedFloating4s32, PVectorByteBufferedFloating4s64

      public interface PVectorStorageFloating4Type<T>
      extends PVectorReadable4DType<T>, PVectorStorageFloating3Type<T>, VectorStorageFloating4Type

  The type of mutable 4D floating point number vectors.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `setPVector4D(PVector4D<T> v)` Set the components from the given vector.
    `default void` | `setPVector4F(PVector4F<T> v)` Set the components from the given vector.

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageFloating3Type

      `setPVector3D, setPVector3F`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageFloating2Type

      `setPVector2D, setPVector2F`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageFloating4Type

      `setVector4D, setVector4F, setW, setXYZW`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4DType

      `w`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageFloating3Type

      `setVector3D, setVector3F, setXYZ, setZ`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3DType

      `z`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageFloating2Type

      `setVector2D, setVector2F, setX, setXY, setY`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2DType

      `x, y`

- - ### Method Detail

    - #### setPVector4D

          default void setPVector4D(PVector4D<T> v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

    - #### setPVector4F

          default void setPVector4F(PVector4F<T> v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

Copyright © 2017 <code@io7m.com> http://io7m.com